package com.ematou.wxservice.mapper;

import com.ematou.wxservice.entity.pojo.UserInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * @author lhm
 * @version 1.0
 * 2021-05-10 18:48
 */
@Mapper
@Repository
public interface UserInfoMapper {

    int insertUserInfo(@Param("userInfo") UserInfo userInfo);

    int updateOrInsertUserInfo(@Param("userInfo") UserInfo userInfo);

    UserInfo queryUserInfoByOpenIdOrPhoneNumber(@Param("param") Map<String, String> param);

    UserInfo queryUserInfoByPhoneNumber(@Param("phoneNumber") String phoneNumber);

    UserInfo queryUserInfoByOpenId(@Param("openId") String openId);

    void deleUserInfoService(@Param("openId") String openId);
}
